Retrieves the used part with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_part_usage
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

article_id

Foreign key of article. Can be empty if user keys in manually the object

globally unique identifier
user_id

Foreign key, user that uses this part

globally unique identifier

Required

article_stock_location_id

In case of stock management enabled, the stock that has been used

globally unique identifier
working_date

Date when the part has been used

date
code

Code of the part (filled by article.code or manually by the user)

string

Max length: 255

name

Name of the part (filled by article.name or manually by the user)

string

Max length: 255

description

Description of the part (filled by article.description or manually by the user)

string

Max length: 255

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

price

Unit price of the part. Computed with the price logic or filled via purchase_order_details.price

decimal number
remark

Remark / Line memo

string

Max length: 255

purchase_order_details_id

Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details

globally unique identifier
signed_by_company

Object was included in a job approval and signed (readonly)

boolean
job_approval_id

Foreign key to the approval this lines belongs

globally unique identifier
is_under_warranty

If the system detects that line was included in the warranty, price will be 0

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e66ca709-6298-4931-9650-9e14319b07e2",
  "jobs_id": "09bc5ab5-d151-4e54-adcf-59671ffc39ae",
  "article_id": "1c319988-c4df-4bb4-967f-a8cf8bddf0dc",
  "user_id": "a3a8c333-56c4-42e2-9c84-ec1e18d2b48f",
  "article_stock_location_id": "0be862b2-d99f-42c8-adc7-17b2afc2e11c",
  "working_date": "2026-11-02T09:07:30.6784414+00:00",
  "code": "sample string 7",
  "name": "sample string 8",
  "description": "sample string 9",
  "quantity": 10.0,
  "price": 11.0,
  "remark": "sample string 12",
  "purchase_order_details_id": "aa1116a5-c8e7-4f19-a697-d8e3f541e8c8",
  "signed_by_company": true,
  "job_approval_id": "1b66404d-4bbd-4e3b-a468-d1d1eadd261d",
  "is_under_warranty": true,
  "modified_dateutc": "2026-11-02T09:07:30.6784414+00:00"
}